> For the complete documentation index, see [llms.txt](https://developer.perculus.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.perculus.com/services/session-management/session-detail.md).

# Session Details

{% hint style="danger" %}
**Important Note!**\
\
Constructor Groups’ V1 API has been retired and is no longer available to new customers. Please use the Groups V2 API going forward.\
\
Link to V2 API documentation: <https://developer.perculus.com/v2-en>
{% endhint %}

Example below shows the code block for how to retrieve the session details for a specific session:

{% tabs %}
{% tab title="CURL" %}

```bash
curl --location 'https://<DOMAIN>/xapi/session/<SESSION_ID>' \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--data ''
```

{% endtab %}

{% tab title="Python" %}

```python
from perculus_sdk.client import APIClient

# API client
client = APIClient()
...

# Get session
session = client.sessions.get_session("<SESSION_ID>")
print(session)
```

{% endtab %}

{% tab title="C#" %}

```
// ASAP :)
```

{% endtab %}

{% tab title="NodeJS" %}

<pre class="language-javascript"><code class="lang-javascript">import APIClient from "perculus-sdk"

// API client
const client = new APIClient()
...

// Get session 
<strong>const session = client.sessions.getSession("&#x3C;SESSION_ID>")
</strong>console.log(session)
</code></pre>

{% endtab %}

{% tab title="Go" %}

```
// ASAP :)
```

{% endtab %}
{% endtabs %}

Below is an example response from the service:

```json
{
    "session_id": "<SESSION_ID>",
    "name": "test session",
    "description": "",
    "tags": "",
    "start_date": "2024-09-25T14:00:25.699+03:00",
    "timezone": "Europe/Istanbul",
    "duration": 10,
    "lang": "tr-TR",
    "status": 1,
    "replay_status": 0,
    "options": {
        "allow_rating": true,
        "preparation_time": 15,
        "session_duration": 60,
        "chat": {
            "offMessageModule": false,
            "offGeneralMsging": false,
            "offGeneralMsgLimitForUser": false,
            "offSpecialMsging": false,
            "offSpecialMsgToAdmin": false,
            "offSpecialMsgToUser": false,
            "offNewMsgSound": false,
            "offClearForReplay": false,
            "onNewMsgSoundInAll": false,
            "onNewMsgNotifyInAll": false
        },
        "duration": {
            "allowExtendTime": true,
            "useRemainingTime": false
        },
        "allow_users_stream_self_cam_mic": true,
        "hide_user_streams": false,
        "enable_attendance_check": false,
        "enable_simultaneous_interpretation": false,
        "enable_simultaneous_interpretation_for_users": false,
        "start_active": false,
        "return_url": ""
    },
    "creation_date": "2024-08-08T10:05:58.663361+00:00",
    "updating_date": null
}
```
